# TODO: optflags (where possible)
Summary:	Lazarus Component Library and IDE
Summary(pl.UTF-8):	Lazarus - biblioteka komponentów i IDE
Name:		lazarus
Version:	1.0.10
Release:	1
License:	GPL and modified LGPL
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/lazarus/%{name}-%{version}-0.tar.gz
# Source0-md5:	60d3b297079ca4151f690245295a8708
URL:		http://www.lazarus.freepascal.org/
Patch0:		%{name}-desktop.patch
BuildRequires:	fpc >= 2.4.0
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gtk+2-devel
%requires_eq	fpc
Requires:	fpc-src >= 2.4.0
Requires:	gdk-pixbuf >= 0.18.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Stabs debuginfo not supported
%define		_enable_debug_packages	0

%define		lazdir		%{_libdir}/lazarus

%description
Lazarus is a free and opensource RAD tool for freepascal using the
Lazarus Component Library (LCL), which is also included in this
package.

%description -l pl.UTF-8
Lazarus to darmowe i opensourcowe narzędzie RAD dla freepascala,
używające biblioteki komponentów LCL (Lazarus Component Library),
która jest także zawarta w tym pakiecie.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir},%{_libdir}/lazarus/docs,%{_pixmapsdir},%{_desktopdir},%{_bindir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

for i in components doceditor ide lcl units converter debugger ideintf languages localize.bat startlazarus \
designer images lazarus localize.sh packager tools ; do
cp -a $i $RPM_BUILD_ROOT%{_libdir}/lazarus
done

cp -a docs/*.html $RPM_BUILD_ROOT%{_libdir}/lazarus/docs
cp -a docs/html $RPM_BUILD_ROOT%{_libdir}/lazarus/docs
cp -a docs/images $RPM_BUILD_ROOT%{_libdir}/lazarus/docs
cp -a docs/xml $RPM_BUILD_ROOT%{_libdir}/lazarus/docs
install docs/Contributors.txt $RPM_BUILD_ROOT%{_libdir}/lazarus/docs

install images/ide_icon48x48.png $RPM_BUILD_ROOT%{_pixmapsdir}/lazarus.png
install install/lazarus.desktop $RPM_BUILD_ROOT%{_desktopdir}/lazarus.desktop
ln -sf %{lazdir}/lazarus $RPM_BUILD_ROOT%{_bindir}/lazarus
ln -sf %{lazdir}/startlazarus $RPM_BUILD_ROOT%{_bindir}/startlazarus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*.txt docs/*.pdf
%attr(755,root,root) %{_bindir}/lazarus
%attr(755,root,root) %{_bindir}/startlazarus
%dir %{_libdir}/lazarus
%{_libdir}/lazarus/components
%{_libdir}/lazarus/converter
%{_libdir}/lazarus/debugger
%{_libdir}/lazarus/designer
%{_libdir}/lazarus/doceditor
%{_libdir}/lazarus/docs
%{_libdir}/lazarus/ide
%{_libdir}/lazarus/ideintf
%{_libdir}/lazarus/images
%{_libdir}/lazarus/languages
%{_libdir}/lazarus/lcl
%{_libdir}/lazarus/packager
%{_libdir}/lazarus/tools
%{_libdir}/lazarus/units
%attr(755,root,root) %{_libdir}/lazarus/lazarus
%attr(755,root,root) %{_libdir}/lazarus/startlazarus
%{_pixmapsdir}/lazarus.png
%{_desktopdir}/lazarus.desktop
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Jul 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lazarus.git;a=log;h=master

* Wed Jul 31 2013 Jan Rękorajski <baggins@pld-linux.org> 727d9e7
- updated to 1.0.10

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 13af670
- disable debuginfo
- rel 2

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 121450c
- updated to 1.0.2

* Wed May 09 2012 Jan Rękorajski <baggins@pld-linux.org> e568c72
- rel 1

* Wed May 09 2012 Jan Rękorajski <baggins@pld-linux.org> f96c5cd
- better source0 url

* Wed May 09 2012 Jan Rękorajski <baggins@pld-linux.org> 96f4593
- up to 0.9.30.4
- lazarus requires fpc it was built with

* Fri Jan 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d47f898
- rel 2; lazarus doesn't use hardcoded paths acording to #lazarus-ide information so drop compat symlink

* Fri Jan 15 2010 sparky <sparky@pld-linux.org> 710f2e3
- BR: gtk+2-devel instead of gtk+-devel

* Thu Jan 14 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 42ee449
- rel 1

* Thu Jan 14 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9473aaa
- up to 0.9.28.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> eec698b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9cc3567
- converted to UTF-8

* Sat Jun 10 2006 witekfl <witekfl@pld-linux.org> cc14ed5
- Contributors.txt is used by the "About Lazarus"
- rel 0.3

* Thu May 04 2006 Elan Ruusamäe <glen@pld-linux.org> 2354861
- revert: unify examples dir

* Thu May 04 2006 Robert Tomasik <rotom@pld-linux.org> d6c4018
- fixed examplesdir path

* Thu Apr 27 2006 Jakub Bogusz <qboosh@pld-linux.org> b606ecf
- hey, it still violates FHS - restored blocker

* Thu Apr 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 080d447
- unified examplesdir, no strip in build, BR cleanup

* Thu Apr 27 2006 Robert Tomasik <rotom@pld-linux.org> 1e761c4
- new

* Thu Apr 27 2006 Robert Tomasik <rotom@pld-linux.org> 5d6285d
- cleanups
- lazarus-desktop.patch added

* Tue Apr 25 2006 Robert Tomasik <rotom@pld-linux.org> 452d80a
- up to 0.9.14
- it works but still many to do

